Cyberduck Mountain Duck CLI

#1179 closed defect (fixed)

Parsing filename with leading numerics and a space in filenames drops the numerics

Reported by: mgill Owned by: dkocher
Priority: high Milestone: 2.8
Component: ftp Version: 2.8b1
Severity: major Keywords: numeric folder
Cc: Architecture:
Platform:

Description

When you upload a folder with leading numerics and a space in filename the numeric characters and space are not displayed and the folder is not browsable or able to delete the folder. Occurs in version 2.8b1 (3178). Version 2.7.3 (2930) is ok.

Steps to reproduce:

Create a folder on the Mac desktop called "2007 Files" Login to an ftp server using Cyberduck. Drag the "2007 Files" folder to the ftp site.

After doing this, the folder will be uploaded using the name "2007 Files", however after the upload completes Cyberduck displays the folder as "Files". If you try to browse, delete, or rename the "Files" folder you receive an error that it does not exist. If you login using another ftp program the folder does exist and is named "2007 Files". If, using another ftp program, you rename the folder to "Files" it will become browsable again by Cyberduck.

This happened to me while accessing a Microsoft FTP server (don't laugh). Not tested on other ftp servers. It is reproducable on several workstations at my company.

Change History (4)

comment:1 Changed on Jul 20, 2007 at 1:33:44 PM by mgill

  • Version changed from 2.7.3 to 2.8b1

comment:2 Changed on Aug 18, 2007 at 11:37:14 AM by dkocher

  • Component changed from core to ftp
  • Milestone set to 2.8
  • Status changed from new to assigned

comment:3 Changed on Aug 19, 2007 at 11:23:36 PM by dkocher

  • Summary changed from Uploading folders with leading numerics and a space in filenames drops the numerics to Parsing filename with leading numerics and a space in filenames drops the numerics

When parsing files using the NTFTPEntryParser

comment:4 Changed on Aug 20, 2007 at 11:04:18 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed with r3233.

Note: See TracTickets for help on using tickets.
swiss made software